import 'package:json_annotation/json_annotation.dart';

import '../../../apiResponse.dart';
import '../customTimetableEvent.dart';

part 'getCustomTimetableEventResponse.g.dart';

@JsonSerializable()
class GetCustomTimetableEventResponse extends ApiResponse {
  List<CustomTimetableEvent> events;

  GetCustomTimetableEventResponse(this.events);

  factory GetCustomTimetableEventResponse.fromJson(Map<String, dynamic> json) => _$GetCustomTimetableEventResponseFromJson(json);
  Map<String, dynamic> toJson() => _$GetCustomTimetableEventResponseToJson(this);
}
